View Issue Details

IDProjectCategoryView StatusLast Update
0001950Far ManagerViewerpublic2012-05-17 14:09
ReporterMaximusAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001950: Ошибочно переключается в Dump режим на юникодных файлах
Descriptionфайл в кодировке 1200, а вьювер его показывает как Dump

imho, если есть bom - dump однозначно не нужен
TagsNo tags attached.
Build2302

Activities

Maximus

2011-12-21 13:54

reporter  

guids.7z (2,722 bytes)

2useven10

2011-12-21 17:18

developer   bugnote:0008175

Last edited: 2011-12-21 17:18

View 2 revisions

2302

Maximus

2011-12-22 01:07

reporter   bugnote:0008178

Зачем bom в цикле проверять то?

    if ( nr < 2 )
        return (nr > 0 && !bf[0]);
    else if (*(WORD*)bf == 0xFEFF || *(WORD*)bf == 0xFFFE)
        return false;

    for (nb = 0; nb+1 < nr; ++nb)
        if ( !bf[nb] && !bf[nb+1] )
            return true;

    return false;

2useven10

2011-12-22 02:11

developer   bugnote:0008180

Last edited: 2011-12-22 09:34

View 3 revisions

чтобы не считать
FE FF 00 00 ...
текстовым файлом, в отличии от
FE FF 0A 00 00 25 ...

(? хотя, проверку на BOM надо будет совсем выкинуть ?)

Issue History

Date Modified Username Field Change
2011-12-21 13:54 Maximus New Issue
2011-12-21 13:54 Maximus File Added: guids.7z
2011-12-21 17:18 2useven10 Note Added: 0008175
2011-12-21 17:18 2useven10 Assigned To => 2useven10
2011-12-21 17:18 2useven10 Status new => feedback
2011-12-21 17:18 2useven10 Note Edited: 0008175 View Revisions
2011-12-22 01:07 Maximus Note Added: 0008178
2011-12-22 01:07 Maximus Status feedback => assigned
2011-12-22 02:11 2useven10 Note Added: 0008180
2011-12-22 09:22 2useven10 Note Edited: 0008180 View Revisions
2011-12-22 09:34 2useven10 Note Edited: 0008180 View Revisions
2012-05-17 14:09 2useven10 Build => 2302
2012-05-17 14:09 2useven10 Status assigned => closed
2012-05-17 14:09 2useven10 Resolution open => fixed
2012-05-17 14:09 2useven10 Fixed in Version => 3.0